/***
 * 
 * router 路由
 * 
 * ix-siemens 西门子框架
 * 
 * pinia 状态管理
 * 
 *  
 * echarts 图表
 * 
*/
import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import pinia from './store';
import * as echarts from 'echarts';
import MessagePlugin from './plugins/message';

// ix-siemens
import '@siemens/ix/dist/siemens-ix/siemens-ix.css';
import { ixPlugin } from '@siemens/ix-vue';

const app = createApp(App);

// 全局挂载echarts
app.config.globalProperties.$echarts = echarts;

// 使用use将文件挂载上去
app.use(router).use(pinia).use(ixPlugin).use(MessagePlugin).mount('#app');